Bug 1118528 (php-twig) - Review Request: php-twig - The flexible, fast, and secure template engine for PHP
Summary: Review Request: php-twig - The flexible, fast, and secure template engine for...
Keywords:
Status: CLOSED ERRATA
Alias: php-twig
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 00:47 UTC by Shawn Iwinski
Modified: 2015-06-12 11:58 UTC (History)
2 users (show)

Fixed In Version: php-twig-1.16.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 22:11:30 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
review.txt (8.62 KB, text/plain)
2014-08-23 15:46 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2014-07-11 00:47:42 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/14f7c2a81dffaf412d32de7eb52f8d4ef6248271/php-ctwig.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-ctwig-1.16.0-1.fc20.src.rpm

Description:
The flexible, fast, and secure template engine for PHP.

* Fast: Twig compiles templates down to plain optimized PHP code. The
  overhead compared to regular PHP code was reduced to the very minimum.

* Secure: Twig has a sandbox mode to evaluate untrusted template code. This
  allows Twig to be used as a template language for applications where users
  may modify the template design.

* Flexible: Twig is powered by a flexible lexer and parser. This allows the
  developer to define its own custom tags and filters, and create its own
  DSL.


Fedora Account System Username: siwinski


NOTE: This packages obsoletes php-twig-Twig and php-twig-ctwig

Comment 2 Shawn Iwinski 2014-08-19 23:37:14 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/b68f8c90465a4c4f1c132d2c7803b3d619e7ace8/php-twig.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-twig-1.16.0-1.fc20.src.rpm



Name change from php-ctwig to php-twig and provides both lib and extension in single pkg.

Comment 4 Remi Collet 2014-08-23 15:46:51 UTC
Created attachment 929930 [details]
review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13

Comment 5 Remi Collet 2014-08-23 15:55:58 UTC
Sorry but this is in the MUST list...

[!]: Changelog in prescribed format.
  Bad date Fri Jul 29 2014: should be Tue Jul 29 2014

Simple... but blocker... 

Should (you can disagree ;):

=> I agree with making the test optional (as they are enabled by default). But I think the "minimal load test" should be always execute (so outside the %if)

Obsoletes:     php-twig-CTwig         < %{version}-%{release}
Provides:      php-twig-CTwig         = %{version}-%{release}

=> this can probably be dropped (php-twig-CTwig was never imported in Fedora)

Optional dependency: Xdebug (php-pecl-xdebug)

=> this doesn't give any new feature, the code only check if present for some output. I think this comment can be removed

=> this package obsoletes all packages in the twig channel, so should also obsoletes php-channel-twig (which could then be removed from F21+ repo)


Else everything is fine.

Comment 7 Remi Collet 2014-08-25 14:29:54 UTC
All changes ok.
No blocker

==== APPROVED ====

Comment 8 Shawn Iwinski 2014-08-25 18:28:30 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: php-twig
Short Description: The flexible, fast, and secure template engine for PHP
Upstream URL: http://twig.sensiolabs.org
Owners: siwinski remi
Branches: f20 f21 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2014-08-26 12:03:16 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-08-27 22:27:56 UTC
php-twig-1.16.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-twig-1.16.0-2.fc20

Comment 11 Fedora Update System 2014-08-27 22:33:23 UTC
php-twig-1.16.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-twig-1.16.0-2.fc21

Comment 12 Fedora Update System 2014-08-28 15:30:11 UTC
php-twig-1.16.0-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 13 Fedora Update System 2014-09-09 22:11:30 UTC
php-twig-1.16.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-09-23 04:23:13 UTC
php-twig-1.16.0-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Shawn Iwinski 2015-06-12 03:31:08 UTC
Package Change Request
======================
Package Name: php-twig
New Branches: el6
Owners: siwinski remi
InitialCC:

Comment 16 Gwyn Ciesla 2015-06-12 11:58:23 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.